Subject: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines to spaces

From: Juri Linkov <[email-masked]>
Date: Sat, 19 Jan 2013 12:07:48 +0200

> Well, OTOH it makes a lot of sense to think of the text displayed in
> the echo area (during Isearch) not necessarily as the raw search
> string, but as its "canonical form", according to the current matching
> behavior (which the user should be able to alter on-the-fly).
>
> Definitely that would be a nice behavior, and not only for the laxity
> in whitespace matching, but also in other ones discussed recently like
> those related to accented letters.

`isearch-yank-string' already downcases the yanked upper case string
to lower case, so it's possible to do the same with lax spaces and
accented letters.